using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using GxPress.Request.App.Flow;
using Datory;
using GxPress.Entity.WorkCar;

namespace GxPress.Repository.Interface.WorkCar
{
    public interface ICarTypeRepository : IRepository
    {
        Task<int> InsertAsync(CarType item);

        Task UpdateAsync(CarType item);

        Task<IEnumerable<CarType>> GetListAsync();

        Task<bool> DeleteAsync(int typeId);
    }
}